編集部からのお知らせ
解説集:台頭するロボット市場のいま
解説集:データ活用で考えるデータの選び方

apacheでbasic認証をしようとしたがhtpasswdでエラーが発生した

OKWave

2007-11-21 10:00

htpasswdコマンドで発生するエラーについて

apache-2.0.58 をインストールし、basic認証を行おうと
htpasswdコマンドを実行したところ、以下のエラーが発生しました。


「ld.so.1: htpasswd: 重大なエラー: libgcc_s.so.1: open に失敗し
ました: ファイルもディレクトリもありません。」

configのオプションは
'--enable-layout=opt' '--enable-module=so'
の二つで、apache本体は /opt/apache にインストールされています。
/opt/apache/lib/ には、/usr/local/lib/libgcc_s.so.1
へのシンボリックリンクが存在し、/usr/local/lib にlibgcc_s.so.1 の実体も存在しています。

apacheは起動が出来、html,phpなどは動いています。

どうしてもBasic認証をしたいと思っており行き詰ってしまいました。。。

よろしくお願いいたします。

〔環境〕
OS:Solaris9
apache: httpd-2.0.58(ソースからコンパイル)
gcc: gcc_small-3.4.2-sol9-sparc-local(パッケージ)

良回答

Solarisはいじったこと有りませんが
http://www.luna2.org/~yatt/solaris/compile.shtml
に書いてあることでは有りませんか?

ZDNet Japan 記事を毎朝メールでまとめ読み(登録無料)

Special PR

特集

CIO

セキュリティ

スペシャル

NEWSLETTERS

エンタープライズ・コンピューティングの最前線を配信

ZDNet Japanは、CIOとITマネージャーを対象に、ビジネス課題の解決とITを活用した新たな価値創造を支援します。
ITビジネス全般については、CNET Japanをご覧ください。

このサイトでは、利用状況の把握や広告配信などのために、Cookieなどを使用してアクセスデータを取得・利用しています。 これ以降ページを遷移した場合、Cookieなどの設定や使用に同意したことになります。
Cookieなどの設定や使用の詳細、オプトアウトについては詳細をご覧ください。
[ 閉じる ]